Upstream information

CVE-2016-5011 at MITRE

Description

The parse_dos_extended function in partitions/dos.c in the libblkid library in util-linux allows physically proximate attackers to cause a denial of service (memory consumption) via a crafted MSDOS partition table with an extended partition boot record at zero offset.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.7 2.1
Vector AV:L/AC:M/Au:N/C:N/I:N/A:C AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local Local
Access Complexity Medium Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:P/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Physical
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 988361 [CONFIRMED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libblkid1 >= 2.25-37.1
  • libblkid1-32bit >= 2.25-37.1
  • libmount1 >= 2.25-37.1
  • libmount1-32bit >= 2.25-37.1
  • libsmartcols1 >= 2.25-37.1
  • libuuid-devel >= 2.25-37.1
  • libuuid1 >= 2.25-37.1
  • libuuid1-32bit >= 2.25-37.1
  • python-libmount >= 2.25-37.1
  • util-linux >= 2.25-37.1
  • util-linux-lang >= 2.25-37.1
  • util-linux-systemd >= 2.25-37.1
  • uuidd >= 2.25-37.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1630
SUSE Linux Enterprise Desktop 12 SP2
  • libblkid1 >= 2.28-42.1
  • libblkid1-32bit >= 2.28-42.1
  • libfdisk1 >= 2.28-42.1
  • libmount1 >= 2.28-42.1
  • libmount1-32bit >= 2.28-42.1
  • libsmartcols1 >= 2.28-42.1
  • libuuid-devel >= 2.28-42.1
  • libuuid1 >= 2.28-42.1
  • libuuid1-32bit >= 2.28-42.1
  • python-libmount >= 2.28-42.4
  • util-linux >= 2.28-42.1
  • util-linux-lang >= 2.28-42.1
  • util-linux-systemd >= 2.28-42.3
  • uuidd >= 2.28-42.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libblkid1
SUSE-SLE-DESKTOP-12-SP2-2016-1729
SUSE Linux Enterprise Desktop 12 SP3
  • libblkid1 >= 2.29.2-2.3
  • libblkid1-32bit >= 2.29.2-2.3
  • libfdisk1 >= 2.29.2-2.3
  • libmount1 >= 2.29.2-2.3
  • libmount1-32bit >= 2.29.2-2.3
  • libsmartcols1 >= 2.29.2-2.3
  • libuuid-devel >= 2.29.2-2.3
  • libuuid1 >= 2.29.2-2.3
  • libuuid1-32bit >= 2.29.2-2.3
  • python-libmount >= 2.29.2-2.2
  • util-linux >= 2.29.2-2.3
  • util-linux-lang >= 2.29.2-2.3
  • util-linux-systemd >= 2.29.2-2.2
  • uuidd >= 2.29.2-2.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libblkid1
SUSE Linux Enterprise Module for Basesystem 15
  • libblkid-devel >= 2.31.1-7.1
  • libblkid-devel-static >= 2.31.1-7.1
  • libblkid1 >= 2.31.1-7.1
  • libblkid1-32bit >= 2.31.1-7.1
  • libfdisk-devel >= 2.31.1-7.1
  • libfdisk1 >= 2.31.1-7.1
  • libmount-devel >= 2.31.1-7.1
  • libmount1 >= 2.31.1-7.1
  • libmount1-32bit >= 2.31.1-7.1
  • libsmartcols-devel >= 2.31.1-7.1
  • libsmartcols1 >= 2.31.1-7.1
  • libuuid-devel >= 2.31.1-7.1
  • libuuid-devel-static >= 2.31.1-7.1
  • libuuid1 >= 2.31.1-7.1
  • libuuid1-32bit >= 2.31.1-7.1
  • util-linux >= 2.31.1-7.1
  • util-linux-lang >= 2.31.1-7.1
  • util-linux-systemd >= 2.31.1-7.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libblkid-devel
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
  • sles12sp2-docker-image >= 1.0.2-20180821
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE-SLE-Module-Containers-12-2018-1762
SUSE Linux Enterprise Module for Server Applications 15
  • uuidd >= 2.31.1-7.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA uuidd
SUSE Linux Enterprise Server 12 SP1
  • libblkid1 >= 2.25-37.1
  • libblkid1-32bit >= 2.25-37.1
  • libmount1 >= 2.25-37.1
  • libmount1-32bit >= 2.25-37.1
  • libsmartcols1 >= 2.25-37.1
  • libuuid1 >= 2.25-37.1
  • libuuid1-32bit >= 2.25-37.1
  • python-libmount >= 2.25-37.1
  • util-linux >= 2.25-37.1
  • util-linux-lang >= 2.25-37.1
  • util-linux-systemd >= 2.25-37.1
  • uuidd >= 2.25-37.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1630
SUSE Linux Enterprise Server 12 SP2
  • libblkid1 >= 2.28-42.1
  • libblkid1-32bit >= 2.28-42.1
  • libfdisk1 >= 2.28-42.1
  • libmount1 >= 2.28-42.1
  • libmount1-32bit >= 2.28-42.1
  • libsmartcols1 >= 2.28-42.1
  • libuuid1 >= 2.28-42.1
  • libuuid1-32bit >= 2.28-42.1
  • python-libmount >= 2.28-42.4
  • util-linux >= 2.28-42.1
  • util-linux-lang >= 2.28-42.1
  • util-linux-systemd >= 2.28-42.3
  • uuidd >= 2.28-42.3
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libblkid1
SUSE-SLE-SERVER-12-SP2-2016-1729
SUSE Linux Enterprise Server 12 SP3
  • libblkid1 >= 2.29.2-2.3
  • libblkid1-32bit >= 2.29.2-2.3
  • libfdisk1 >= 2.29.2-2.3
  • libmount1 >= 2.29.2-2.3
  • libmount1-32bit >= 2.29.2-2.3
  • libsmartcols1 >= 2.29.2-2.3
  • libuuid1 >= 2.29.2-2.3
  • libuuid1-32bit >= 2.29.2-2.3
  • python-libmount >= 2.29.2-2.2
  • util-linux >= 2.29.2-2.3
  • util-linux-lang >= 2.29.2-2.3
  • util-linux-systemd >= 2.29.2-2.2
  • uuidd >= 2.29.2-2.2
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libblkid1
SUSE Linux Enterprise Server 12-LTSS
  • libblkid1 >= 2.25-24.10.1
  • libblkid1-32bit >= 2.25-24.10.1
  • libmount1 >= 2.25-24.10.1
  • libmount1-32bit >= 2.25-24.10.1
  • libsmartcols1 >= 2.25-24.10.1
  • libuuid1 >= 2.25-24.10.1
  • libuuid1-32bit >= 2.25-24.10.1
  • python-libmount >= 2.25-24.10.3
  • util-linux >= 2.25-24.10.1
  • util-linux-lang >= 2.25-24.10.1
  • util-linux-systemd >= 2.25-24.10.1
  • uuidd >= 2.25-24.10.1
Patchnames:
SUSE-SLE-SERVER-12-2017-290
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libblkid1 >= 2.28-42.1
  • libfdisk1 >= 2.28-42.1
  • libmount1 >= 2.28-42.1
  • libsmartcols1 >= 2.28-42.1
  • libuuid1 >= 2.28-42.1
  • python-libmount >= 2.28-42.4
  • util-linux >= 2.28-42.1
  • util-linux-lang >= 2.28-42.1
  • util-linux-systemd >= 2.28-42.3
  • uuidd >= 2.28-42.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libblkid1
SUSE-SLE-RPI-12-SP2-2016-1729
SUSE Linux Enterprise Server for SAP Applications 12
  • libblkid1 >= 2.25-24.10.1
  • libblkid1-32bit >= 2.25-24.10.1
  • libmount1 >= 2.25-24.10.1
  • libmount1-32bit >= 2.25-24.10.1
  • libsmartcols1 >= 2.25-24.10.1
  • libuuid1 >= 2.25-24.10.1
  • libuuid1-32bit >= 2.25-24.10.1
  • python-libmount >= 2.25-24.10.3
  • util-linux >= 2.25-24.10.1
  • util-linux-lang >= 2.25-24.10.1
  • util-linux-systemd >= 2.25-24.10.1
  • uuidd >= 2.25-24.10.1
Patchnames:
SUSE-SLE-SAP-12-2017-290
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libblkid1 >= 2.25-37.1
  • libblkid1-32bit >= 2.25-37.1
  • libmount1 >= 2.25-37.1
  • libmount1-32bit >= 2.25-37.1
  • libsmartcols1 >= 2.25-37.1
  • libuuid1 >= 2.25-37.1
  • libuuid1-32bit >= 2.25-37.1
  • python-libmount >= 2.25-37.1
  • util-linux >= 2.25-37.1
  • util-linux-lang >= 2.25-37.1
  • util-linux-systemd >= 2.25-37.1
  • uuidd >= 2.25-37.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1630
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libblkid1 >= 2.28-42.1
  • libblkid1-32bit >= 2.28-42.1
  • libfdisk1 >= 2.28-42.1
  • libmount1 >= 2.28-42.1
  • libmount1-32bit >= 2.28-42.1
  • libsmartcols1 >= 2.28-42.1
  • libuuid1 >= 2.28-42.1
  • libuuid1-32bit >= 2.28-42.1
  • python-libmount >= 2.28-42.4
  • util-linux >= 2.28-42.1
  • util-linux-lang >= 2.28-42.1
  • util-linux-systemd >= 2.28-42.3
  • uuidd >= 2.28-42.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1729
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libblkid1 >= 2.25-24.10.1
  • libblkid1-32bit >= 2.25-24.10.1
  • libmount1 >= 2.25-24.10.1
  • libmount1-32bit >= 2.25-24.10.1
  • libsmartcols1 >= 2.25-24.10.1
  • libuuid1 >= 2.25-24.10.1
  • libuuid1-32bit >= 2.25-24.10.1
  • python-libmount >= 2.25-24.10.3
  • util-linux >= 2.25-24.10.1
  • util-linux-lang >= 2.25-24.10.1
  • util-linux-systemd >= 2.25-24.10.1
  • uuidd >= 2.25-24.10.1
Patchnames:
SUSE-SLE-SERVER-12-2017-290
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libblkid-devel >= 2.25-37.1
  • libmount-devel >= 2.25-37.1
  • libsmartcols-devel >= 2.25-37.1
  • libuuid-devel >= 2.25-37.1
  • util-linux >= 2.25-37.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1630
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libblkid-devel >= 2.28-42.1
  • libmount-devel >= 2.28-42.1
  • libsmartcols-devel >= 2.28-42.1
  • libuuid-devel >= 2.28-42.1
  • util-linux >= 2.28-42.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libblkid-devel
SUSE-SLE-SDK-12-SP2-2016-1729
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libblkid-devel >= 2.29.2-2.3
  • libmount-devel >= 2.29.2-2.3
  • libsmartcols-devel >= 2.29.2-2.3
  • libuuid-devel >= 2.29.2-2.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libblkid-devel
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libuuid-devel >= 2.25-37.1
  • util-linux >= 2.25-37.1
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1630
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libuuid-devel >= 2.28-42.1
  • util-linux >= 2.28-42.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libuuid-devel
SUSE-SLE-WE-12-SP2-2016-1729
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libuuid-devel >= 2.29.2-2.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libuuid-devel
openSUSE Leap 15.0
  • libblkid1 >= 2.31.1-lp150.6.1
  • libblkid1-32bit >= 2.31.1-lp150.6.1
  • libfdisk1 >= 2.31.1-lp150.6.1
  • libmount1 >= 2.31.1-lp150.6.1
  • libsmartcols1 >= 2.31.1-lp150.6.1
  • libuuid1 >= 2.31.1-lp150.6.1
  • libuuid1-32bit >= 2.31.1-lp150.6.1
  • util-linux >= 2.31.1-lp150.6.1
  • util-linux-lang >= 2.31.1-lp150.6.1
  • util-linux-systemd >= 2.31.1-lp150.6.1
Patchnames:
openSUSE Leap 15.0 GA libblkid1
openSUSE Leap 42.1
  • libblkid-devel >= 2.25-18.1
  • libblkid-devel-32bit >= 2.25-18.1
  • libblkid1 >= 2.25-18.1
  • libblkid1-32bit >= 2.25-18.1
  • libblkid1-debuginfo >= 2.25-18.1
  • libblkid1-debuginfo-32bit >= 2.25-18.1
  • libmount-devel >= 2.25-18.1
  • libmount-devel-32bit >= 2.25-18.1
  • libmount1 >= 2.25-18.1
  • libmount1-32bit >= 2.25-18.1
  • libmount1-debuginfo >= 2.25-18.1
  • libmount1-debuginfo-32bit >= 2.25-18.1
  • libsmartcols-devel >= 2.25-18.1
  • libsmartcols1 >= 2.25-18.1
  • libsmartcols1-debuginfo >= 2.25-18.1
  • libuuid-devel >= 2.25-18.1
  • libuuid-devel-32bit >= 2.25-18.1
  • libuuid1 >= 2.25-18.1
  • libuuid1-32bit >= 2.25-18.1
  • libuuid1-debuginfo >= 2.25-18.1
  • libuuid1-debuginfo-32bit >= 2.25-18.1
  • python-libmount >= 2.25-18.2
  • python-libmount-debuginfo >= 2.25-18.2
  • python-libmount-debugsource >= 2.25-18.2
  • util-linux >= 2.25-18.1
  • util-linux-debuginfo >= 2.25-18.1
  • util-linux-debugsource >= 2.25-18.1
  • util-linux-lang >= 2.25-18.1
  • util-linux-systemd >= 2.25-18.1
  • util-linux-systemd-debuginfo >= 2.25-18.1
  • util-linux-systemd-debugsource >= 2.25-18.1
  • uuidd >= 2.25-18.1
  • uuidd-debuginfo >= 2.25-18.1
Patchnames:
openSUSE-2016-1317
openSUSE Leap 42.2
  • libblkid-devel >= 2.28-5.10
  • libblkid-devel-32bit >= 2.28-7.1
  • libblkid-devel-static >= 2.28-7.1
  • libblkid1 >= 2.28-5.10
  • libblkid1-32bit >= 2.28-5.10
  • libblkid1-debuginfo >= 2.28-7.1
  • libblkid1-debuginfo-32bit >= 2.28-7.1
  • libfdisk-devel >= 2.28-7.1
  • libfdisk-devel-static >= 2.28-7.1
  • libfdisk1 >= 2.28-5.10
  • libfdisk1-debuginfo >= 2.28-7.1
  • libmount-devel >= 2.28-7.1
  • libmount-devel-32bit >= 2.28-7.1
  • libmount-devel-static >= 2.28-7.1
  • libmount1 >= 2.28-5.10
  • libmount1-32bit >= 2.28-5.10
  • libmount1-debuginfo >= 2.28-7.1
  • libmount1-debuginfo-32bit >= 2.28-7.1
  • libsmartcols-devel >= 2.28-7.1
  • libsmartcols-devel-static >= 2.28-7.1
  • libsmartcols1 >= 2.28-5.10
  • libsmartcols1-debuginfo >= 2.28-7.1
  • libuuid-devel >= 2.28-5.10
  • libuuid-devel-32bit >= 2.28-7.1
  • libuuid-devel-static >= 2.28-7.1
  • libuuid1 >= 2.28-5.10
  • libuuid1-32bit >= 2.28-5.10
  • libuuid1-debuginfo >= 2.28-7.1
  • libuuid1-debuginfo-32bit >= 2.28-7.1
  • python-libmount >= 2.28-7.2
  • python-libmount-debuginfo >= 2.28-7.2
  • python-libmount-debugsource >= 2.28-7.2
  • util-linux >= 2.28-5.10
  • util-linux-debuginfo >= 2.28-7.1
  • util-linux-debugsource >= 2.28-7.1
  • util-linux-lang >= 2.28-5.10
  • util-linux-systemd >= 2.28-5.2
  • util-linux-systemd-debuginfo >= 2.28-7.1
  • util-linux-systemd-debugsource >= 2.28-7.1
  • uuidd >= 2.28-7.1
  • uuidd-debuginfo >= 2.28-7.1
Patchnames:
openSUSE Leap 42.2 GA libblkid-devel
openSUSE-2016-1446
openSUSE Leap 42.3
  • libblkid-devel >= 2.29.2-3.4
  • libblkid1 >= 2.29.2-3.4
  • libblkid1-32bit >= 2.29.2-3.4
  • libfdisk1 >= 2.29.2-3.4
  • libmount1 >= 2.29.2-3.4
  • libmount1-32bit >= 2.29.2-3.4
  • libsmartcols1 >= 2.29.2-3.4
  • libuuid-devel >= 2.29.2-3.4
  • libuuid1 >= 2.29.2-3.4
  • libuuid1-32bit >= 2.29.2-3.4
  • util-linux >= 2.29.2-3.4
  • util-linux-lang >= 2.29.2-3.4
  • util-linux-systemd >= 2.29.2-3.1
Patchnames:
openSUSE Leap 42.3 GA libblkid-devel